#!/bin/bash
files=(
    forge-1.12.2-14.23.5.2846-universal.jar
    changeslogs
    libraries
    minecraft_server.1.12.2.jar
    mods
    scripts
    version.json
)

for linkedFile in "${files[@]}"
do
    [ ! -f /data/$linkedFile ] && ln -s /minecraft/$linkedFile /data/$linkedFile 
done

[ ! -f /data/config ] && cp -r /minecraft/config /data/config

echo "eula=true" > /data/eula.txt

cd /data
java -server -XX:+UseG1GC -XX:+UnlockExperimentalVMOptions -Xmx6144M -Xms4096M -jar forge-1.12.2-14.23.5.2846-universal.jar nogui
